<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.14"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>iipsrv: Member List</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
  $(document).ready(initResizable);
/* @license-end */</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="iip.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">iipsrv
   &#160;<span id="projectnumber">1.1</span>
   </div>
   <div id="projectbrief">iipsrv is an advanced high-performance feature-rich image server for web-based streamed viewing and zooming of ultra high-resolution images</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.14 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',false,false,'search.php','Search');
});
/* @license-end */</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(document).ready(function(){initNavTree('classCompressor.html','');});
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle">
<div class="title">Compressor Member List</div>  </div>
</div><!--header-->
<div class="contents">

<p>This is the complete list of members for <a class="el" href="classCompressor.html">Compressor</a>, including all inherited members.</p>
<table class="directory">
  <tr class="even"><td class="entry"><a class="el" href="classCompressor.html#af62307978b22d731e345eff148cab268">addXMPMetadata</a>(const std::string &amp;m)</td><td class="entry"><a class="el" href="classCompressor.html">Compressor</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCompressor.html#af57b26b9e84ee92afa663324f464c3e0">Compress</a>(RawTile &amp;t)</td><td class="entry"><a class="el" href="classCompressor.html">Compressor</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCompressor.html#a24549398c73442cf45b81e5cdeaf27c0">CompressStrip</a>(unsigned char *s, unsigned char *o, unsigned int tile_height)</td><td class="entry"><a class="el" href="classCompressor.html">Compressor</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCompressor.html#a7a98fff52328aeea262452ee8949691d">Finish</a>(unsigned char *output)</td><td class="entry"><a class="el" href="classCompressor.html">Compressor</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCompressor.html#a94e14df8f3dfe7968a9b77dabb4e2c45">getHeader</a>()</td><td class="entry"><a class="el" href="classCompressor.html">Compressor</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCompressor.html#aeb0d63187b16a4de4ec27ea59295b1e5">getHeaderSize</a>()</td><td class="entry"><a class="el" href="classCompressor.html">Compressor</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCompressor.html#ade8725e65b19b79f3e481d519664b683">getMimeType</a>()</td><td class="entry"><a class="el" href="classCompressor.html">Compressor</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCompressor.html#a70078e753e103bd4a642118d7412dd79">getQuality</a>()</td><td class="entry"><a class="el" href="classCompressor.html">Compressor</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCompressor.html#aac704b00452d217cfbc5fb02a52505e1">getSuffix</a>()</td><td class="entry"><a class="el" href="classCompressor.html">Compressor</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCompressor.html#a788d5559f4276c1498cf9bcdca2d42cb">icc</a></td><td class="entry"><a class="el" href="classCompressor.html">Compressor</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCompressor.html#ad83402c75cd8f85c9263c1e990ae1e5f">InitCompression</a>(const RawTile &amp;rawtile, unsigned int strip_height)</td><td class="entry"><a class="el" href="classCompressor.html">Compressor</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCompressor.html#a7a48db7e754ff8335485941f704a40a3">Q</a></td><td class="entry"><a class="el" href="classCompressor.html">Compressor</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCompressor.html#af23c55b06260b6dd14b288bedf409b3b">setICCProfile</a>(const std::string &amp;profile)</td><td class="entry"><a class="el" href="classCompressor.html">Compressor</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCompressor.html#afc78f825498b3a33380ef251d6a60f87">setXMPMetadata</a>(const std::string &amp;x)</td><td class="entry"><a class="el" href="classCompressor.html">Compressor</a></td><td class="entry"><span class="mlabel">inline</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCompressor.html#a59d252c2c1499e02ca9f0ff0be144b23">writeICCProfile</a>()</td><td class="entry"><a class="el" href="classCompressor.html">Compressor</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr><td class="entry"><a class="el" href="classCompressor.html#a61e5fb15b9b5838a79fe22a5a2430a58">writeXMPMetadata</a>()</td><td class="entry"><a class="el" href="classCompressor.html">Compressor</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">protected</span><span class="mlabel">virtual</span></td></tr>
  <tr class="even"><td class="entry"><a class="el" href="classCompressor.html#a45698fa97911f4ecfe030c077c139c2b">xmp</a></td><td class="entry"><a class="el" href="classCompressor.html">Compressor</a></td><td class="entry"><span class="mlabel">protected</span></td></tr>
  <tr bgcolor="#f0f0f0"><td class="entry"><b>~Compressor</b>() (defined in <a class="el" href="classCompressor.html">Compressor</a>)</td><td class="entry"><a class="el" href="classCompressor.html">Compressor</a></td><td class="entry"><span class="mlabel">inline</span><span class="mlabel">virtual</span></td></tr>
</table></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.14 </li>
  </ul>
</div>
</body>
</html>
